# $Revision: 1.40 $, $Date: 2004/05/07 00:38:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Font
%define		pnam	TFM
Summary:	Font::TFM - read information from TeX font metric files
Summary(pl):	Font::TFM - odczyt informacji z plikw metryk fontw TeX-a
Name:		perl-Font-TFM
Version:	0.130
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3ae79cc6321df135e14ea50227543415
Patch0:		%{name}-fontpath.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Font::TFM Perl module is for reading and working with TeX font metric
files.

%description -l pl
Modu Perla Font::TFM umoliwia prac na plikach metryk fontw TeXa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Font/TFM.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Font-TFM.spec,v $
Revision 1.40  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.39  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.38  2004/05/03 00:42:04  ankry
- rel. 4 for Ac

Revision 1.37  2004/04/24 23:31:26  ankry
- tests really added

Revision 1.36  2004/04/24 23:29:23  ankry
- tests added

Revision 1.35  2004/04/20 21:44:04  ankry
- summary/description/license fixes

Revision 1.34  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.33  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:32:32  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/07/23 11:16:37  ankry
- be non-interactive
- added patch setting path to .tfm fonts in PLD
- translations, cleaning
- release 2

Revision 1.24  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.23  2002/07/11 07:59:21  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:14:42  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:26:27  depesz
adapterized

Revision 1.16  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.14  2001/10/01 09:48:30  mis
- autoupdated to 0.110

Revision 1.13  2001/04/17 12:09:19  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/19 13:48:21  mis
- updated (by autoup) to 0.100

Revision 1.10  2001/01/04 19:34:12  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/09/05 07:21:49  kloczek
- updated to 0.074.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
